package com.qs.mp.admin.domain;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qs.mp.common.enums.GoodsStatusEnum;


import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.stream.*;

import lombok.Data;

/**
 * @describe 商品库实体类
 * @auther quanshu
 * @create 2022-03-07 20:43:44
 */
@TableName("mp_goods")
@Data
public class Goods implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "goods_id", type = IdType.AUTO)
  private Long goodsId;

  /**
   * 商品标题
   */
  @TableField("title")
  private String title;

  /**
   * 商品类目ID
   */
  @TableField("category_id")
  private Long categoryId;

  /**
   * 商品图片
   */
  @TableField("pic_url")
  private String picUrl;

  /**
   * 详情
   */
  @TableField("description")
  private String description;

  /**
   * 原兑换价格
   */
  @TableField("origin_price")
  private Integer originPrice;

  /**
   * 现兑换价格
   */
  @TableField("exchange_price")
  private Integer exchangePrice;

  /**
   * 商品价值
   */
  @TableField("value")
  private Integer value;

  /**
   * 商品成本
   */
  @TableField("cost")
  private Integer cost;

  /**
   * 库存数量
   */
  @TableField("quantity")
  private Integer quantity;

  /**
   * 已兑换量
   */
  @TableField("exchanged_qty")
  private Integer exchangedQty;

  /**
   * 兑换大厅是否展示，0不展示，1展示
   */
  @TableField("exchange_show")
  private Integer exchangeShow;

  /**
   * 是否多sku，0否，1是
   */
  @TableField("multi_sku")
  private Integer multiSku;

  /**
   * 规格描述
   */
  @TableField("sku_prop")
  private String skuProp;


  /**
   * 上架状态;上架/下架
   */
  @TableField("status")
  @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
  private GoodsStatusEnum status;

  /**
   * 逻辑删除标识
   */
  @TableField("is_deleted")
  @TableLogic
  private Integer isDeleted;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;
  
  public static void main(String[] args) {
	  List<Map<String,Object>> lists=new ArrayList<>();
	  Map<String,Object> map1 = new HashMap<String,Object>();
	  map1.put("大小", 1);
	  lists.add(map1);
	  Map<String,Object> map2 = new HashMap<String,Object>();
	  map2.put("大小", 2);
	  lists.add(map2);
	  Map<String,Object> map3 = new HashMap<String,Object>();
	  map3.put("名字", "胜多负少");
	  lists.add(map3);
	  
	  Map<String,Object> map4 = new HashMap<String,Object>();
	  map4.put("大小", 4);
	  lists.add(map4);
	  
	  System.out.println(lists.toString());
	  
	  Map<String,Object> map = lists.stream().flatMap(m -> m.entrySet().stream())
              .collect(Collectors.toMap(Map.Entry::getKey, Map.Entry::getValue, (a, b) -> getObjValue(a,b))); 
	  
	  System.out.println(map.toString());
	  
	  List<Map<String,Object>> mapList=new ArrayList<>(); 
	  
	  for(Map.Entry<String, Object> entry:map.entrySet()) {
          //map.entrySet()  返回此映射中包含的映射关系的Set视图
          //Map.Entry<Integer, String> 映射项 (键值对)
		  String key = entry.getKey();
		  Object value = entry.getValue();
          System.out.println("key="+entry.getKey()+" value="+entry.getValue());

          
          Map<String,Object> mapObj = new HashMap<String,Object>();
          mapObj.put("name", key);
          mapObj.put("value", value);
          mapList.add(mapObj);
      }
	  
	  System.out.println(JSONArray.toJSONString(mapList));
	  
}
  
 
  
  static Object getObjValue(Object a, Object b){
		boolean isa = (a instanceof List<?>);
		boolean isb = (b instanceof List<?>);
		System.out.println("isa == " + isa);
		System.out.println("isb == " + isb);
		List<Object> list = new ArrayList<>();
		if (isa) {
			list.addAll((List<Object>) a);
		} else {
			list.add(a+"");
		}
		if (isb) {
			list.addAll((List<Object>) b);
		} else {
			list.add(b+"");
		}
	  return list;
	  
  }
  
  
  public static boolean isArray(Object obj) {
      if (obj == null) {
          return false;
      }

      return obj.getClass().isArray();
  }


}
