package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.validation.constraints.NotNull;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.TableField;
import com.qs.mp.admin.domain.TicketPackage;
import com.qs.mp.common.enums.DeliverOrderStatusEnum;
import lombok.Data;

/**
 * @describe 用户提货订单发货
 * @auther quanshu
 * @create 2022-03-07 20:43:44
 */
@ApiModel(value = "用户提货订单发货参数")
@Data
public class ChannelOrderShipParam {

	@ApiModelProperty(value = "订单编号", required = false)
	private String orderId;

	/**
	 * 物流公司ID
	 */
	@NotNull(message = "快递公司不能为空")
	@ApiModelProperty(value = "物流公司", required = false)
	private Long deliveryId;

	/**
	 * 物流单号ID
	 */
	@NotNull(message = "物流单号不能为空")
	@ApiModelProperty(value = "物流单号", required = false)
	private String deliveryFlowId;
	
	
	@NotNull(message = "票包列表不能为空")
	@ApiModelProperty(value = "票包ID列表", required = false)
	private List<String> pkgIds;
}
