package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/11
 */
@ApiModel(value= "盲票组奖级参数")
@Data
public class TicketAwardsParam {

  @NotEmpty(message = "奖品列表不能为空")
  @ApiModelProperty(value = "奖品列表",required=true)
  List<TicketAwardsPrizeParam> prizeList;

  @NotNull(message = "奖级名称不能为空")
  @ApiModelProperty(value = "奖级名称",required=true)
  private String name;

  @NotNull(message = "奖级数量不能为空")
  @ApiModelProperty(value = "奖级数量",required=true)
  private Integer quantity;

  @NotNull(message = "奖级顺序不能为空")
  @ApiModelProperty(value = "奖级顺序",required=true)
  private Integer sort;

}
