package com.qs.mp.admin.domain.param;

import com.qs.mp.common.enums.TicketPrizeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/11
 */
@ApiModel(value= "盲票组奖级对应的奖品参数")
@Data
public class TicketAwardsPrizeParam {
  @NotNull(message = "奖品关联ID不能为空")
  @ApiModelProperty(value = "奖品关联ID",required=true)
  private String refId;

  @NotNull(message = "奖品类型不能为空")
  @ApiModelProperty(value = "奖品类型",required=true)
  private TicketPrizeTypeEnum prizeType;

  @NotNull(message = "奖品数量不能为空")
  @ApiModelProperty(value = "奖品数量",required=true)
  private Integer quantity;

  @ApiModelProperty(value = "奖品价值",required=true)
  private Integer value;
}
