package com.qs.mp.admin.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.Ticket;
import com.qs.mp.admin.domain.excel.TicketExcel;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 盲票 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-08
 */
public interface ITicketService extends IService<Ticket> {

  /**
   * 随机取一条
   * @param queryWrapper
   * @return
   */
  Ticket getRandOne(Wrapper<Ticket> queryWrapper);


  /**
   * 盲票导入
   * 导入就是只根据盲票序号更新幸运数字和抽奖数字两个字段
   * @param ticketExcelList
   * @return 导入的条数
   */
  int importTicket(List<TicketExcel> ticketExcelList);

  /**
   * 查询盲票列表
   * @param queryWrapper
   * @return
   */
  List<Ticket> listTicket(Wrapper<Ticket> queryWrapper);
}
