package com.qs.mp.channel.mapper;

import com.qs.mp.channel.domain.Channel;
import com.qs.mp.channel.domain.vo.ChannelVO;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

/**
 * @auther quanshu
 * @create 2022-03-02 12:22:24
 * @describe 渠道经销商mapper类
 */
public interface ChannelMapper extends BaseMapper<Channel> {

	/**
	 * 获取我的下级渠道列表信息，支持翻页
	 * 
	 * @param channel
	 * @return
	 */
	public List<ChannelVO> selectChannelVoList(@Param(Constants.WRAPPER) Wrapper<Channel> wrapper);
	
	/**
	 * 根据ID查询渠道VO
	 *
	 * @param userId
	 * @return
	 */
	public ChannelVO getChannelVoById(@Param("channelId") Long channelId);
	
	
    /**
     * 查询渠道及其子渠道经销商总数
     * @param channelNo
     * @return
     */
    int getChannelSiteCnt(@Param("channelNo") String channelNo);
}
