package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.Version;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 用户配送地址实体类
 * @auther quanshu
 * @create 2022-03-02 13:57:20
 */
@TableName("mp_user_addr")
@Data
public class UserAddr implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * ID
   */
  @TableId(value = "addr_id" , type = IdType.AUTO)
  private Long addrId;

  /**
   * 渠道ID
   */
  @TableField("user_id")
  private Long userId;

  /**
   * 收货人
   */
  @TableField("receiver")
  private String receiver;

  /**
   * 省ID
   */
  @TableField("province_id")
  private Long provinceId;

  /**
   * 省
   */
  @TableField("province")
  private String province;

  /**
   * 城市
   */
  @TableField("city")
  private String city;

  /**
   * 城市ID
   */
  @TableField("city_id")
  private Long cityId;

  /**
   * 区
   */
  @TableField("area")
  private String area;

  /**
   * 区ID
   */
  @TableField("area_id")
  private Long areaId;

  /**
   * 邮编
   */
  @TableField("post_code")
  private String postCode;

  /**
   * 地址
   */
  @TableField("addr")
  private String addr;

  /**
   * 手机
   */
  @TableField("mobile")
  private String mobile;

  /**
   * 状态,1正常，0无效
   */
  @TableField("status")
  private Integer status;

  /**
   * 是否默认地址 1是
   */
  @TableField("common_addr")
  private Integer commonAddr;

  /**
   * 建立时间
   */
  @TableField("create_time")
  private Date createTime;

  /**
   * 更新时间
   */
  @Version
  @TableField("update_time")
  private Date updateTime;


}
