package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 用户提货订单明细实体类
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 */
@TableName("mp_user_deliver_order_item")
@Data
public class UserDeliverOrderItem implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "item_id", type = IdType.INPUT)
  private String itemId;

  /**
   * 订单ID
   */
  @TableField("order_id")
  private String orderId;

  /**
   * 奖品库ID
   */
  @TableField("storage_id")
  private String storageId;

  /**
   * 商品ID
   */
  @TableField("goods_id")
  private Long goodsId;

  /**
   * sku ID
   */
  @TableField("sku_id")
  private Long skuId;

  /**
   * sku 属性
   */
  @TableField("properties")
  private String properties;

  /**
   * 商品标题
   */
  @TableField("title")
  private String title;

  /**
   * 商品图片
   */
  @TableField("pic_url")
  private String picUrl;

  /**
   * 商品数量
   */
  @TableField("goods_num")
  private Integer goodsNum;

  /**
   * 物流公司ID
   */
  @TableField("delivery_id")
  private Long deliveryId;

  /**
   * 物流单号ID
   */
  @TableField("delivery_flow_id")
  private String deliveryFlowId;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
