package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.Version;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 用户盲票订单明细实体类
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 */
@TableName("mp_user_ticket_order_item")
@Data
public class UserTicketOrderItem implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "item_id", type = IdType.INPUT)
  private String itemId;

  /**
   * 订单ID
   */
  @TableField("order_id")
  private String orderId;

  /**
   * 用户ID
   */
  @TableField("user_id")
  private Long userId;

  /**
   * 盲票组ID
   */
  @TableField("box_id")
  private String boxId;

  /**
   * 盲票ID
   */
  @TableField("ticket_id")
  private String ticketId;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  @Version
  private Date updatedTime;


}
