package com.qs.mp.user.mapper;

import com.qs.mp.channel.domain.Channel;
import com.qs.mp.channel.domain.vo.ChannelVO;
import com.qs.mp.user.domain.UserDeliverOrder;
import com.qs.mp.user.domain.vo.UserDeliverOrderVO;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

/**
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 * @describe 用户提货订单mapper类
 */
public interface UserDeliverOrderMapper extends BaseMapper<UserDeliverOrder> {

	/**
	 *  获取用户提货订单列表信息，支持翻页
	 * @param wrapper
	 * @return
	 */
	public List<UserDeliverOrderVO> selectUserDeliverOrderVoList(@Param(Constants.WRAPPER) Wrapper<UserDeliverOrder> wrapper);
	
	/**
	 * 查询满足筛选条件的用户提货订单数量
	 * 
	 * @param wrapper
	 * @return
	 */
	public int selectUserDeliverOrderCount(@Param(Constants.WRAPPER) Wrapper<UserDeliverOrder> wrapper);
}
