package com.qs.mp.user.service;

import com.qs.mp.pay.domain.PayOrder;
import com.qs.mp.user.domain.UserTicketOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.user.domain.vo.TicketOrderSettleVO;
import java.util.List;

/**
 * <p>
 * 用户盲票订单 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-07
 */
public interface IUserTicketOrderService extends IService<UserTicketOrder> {

  /**
   * 提交盲票购买订单
   * @param userId
   * @param orderSettleVO
   * @return
   */
  String submitOrder(Long userId, TicketOrderSettleVO orderSettleVO);

  /**
   * 批量取消一个票组（线上）的订单（恢复优惠券、票组销量）
   * @param boxId
   * @param orderIds
   * @return
   */
  boolean batchCancelOrder(String boxId, List<String> orderIds);

  /**
   * 取消订单（恢复优惠券、票组销量）
   * @param orderId
   * @return
   */
  boolean cancelOrder(String orderId);

  /**
   * 支付成功回调
   * @param payOrder
   * @return
   */
  boolean paySuccess(PayOrder payOrder);

  /**
   * 给渠道分润
   * @param orderId
   * @return
   */
  boolean commToChannel(String orderId);
}
